<?php
/**
 * The template for displaying Archive pages.
 */

get_header(); ?>

<div class="columns large-12 content-row">
  <div class="row title">
    <div class="columns large-12 content-title-inner">
      <div class="row">
        <div class="columns large-12">
          <h1 class="page-title">
          <?php
				if ( is_day() ) :
					printf( __( 'Daily Archives: %s', 'threestar' ), get_the_date() );
				elseif ( is_month() ) :
					printf( __( 'Monthly Archives: %s', 'threestar' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'threestar' ) ) );
				elseif ( is_year() ) :
					printf( __( 'Yearly Archives: %s', 'threestar' ), get_the_date( _x( 'Y', 'yearly archives date format', 'threestar' ) ) );
				else :
					_e( 'Archives', 'threestar' );
				endif;
			?>
          </h1>
        </div>
      </div>
    </div>
  </div>
  <div class="row content about">
    <div class="columns large-12 content-inner">
      <div class="row">
        <div class="columns large-7">
          <div id="primary" class="content-area">
            <div id="content" class="site-content" role="main">
              <?php if ( have_posts() ) : ?>
              <header class="archive-header">
              <?php /* The loop */ ?>
              <?php while ( have_posts() ) : the_post(); ?>
              <?php get_template_part( 'content', get_post_format() ); ?>
              <?php endwhile; ?>
              <?php if(function_exists('wp_pagenavi')){
				wp_pagenavi();}?>
              <?php else : ?>
              <?php get_template_part( 'content', 'none' ); ?>
              <?php endif; ?>
            </div>
            <!-- #content -->
          </div>
          <!-- #primary -->
        </div>
        <div class="columns large-4 large-offset-1 sidebar">
          <?php get_sidebar();?>
        </div>
      </div>
    </div>
  </div>
</div>
<?php get_footer(); ?>
