<?php
/**
 * The template for displaying Author archive pages.
 */

get_header(); ?>
<div class="columns large-12 content-row">
  <div class="row title">
    <div class="columns large-12 content-title-inner">
      <div class="row">
        <div class="columns large-12">
          <?php if ( have_posts() ) : the_post();?>
          <h1 class="page-title author-page-title"><?php printf( __( 'All posts by: %s', 'threestar' ), '<span style="text-transform:capitalize;"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '" title="' . esc_attr( get_the_author() ) . '" rel="me">' . get_the_author() . '</a></span>' ); ?></h1>
          <?php endif; ?>
        </div>
      </div>
    </div>
  </div>
  <div class="row content about">
    <div class="columns large-12 content-inner">
      <div class="row">
        <div class="columns large-7">
          <div id="primary" class="content-area">
            <div id="content" class="site-content" role="main">
              <?php if ( have_posts() ) : ?>
              <?php
				/* Queue the first post, that way we know
				 * what author we're dealing with (if that is the case).
				 *
				 * We reset this later so we can run the loop
				 * properly with a call to rewind_posts().
				 */
				the_post();
				/* Since we called the_post() above, we need to
				 * rewind the loop back to the beginning that way
				 * we can run the loop properly, in full.
				 */
				rewind_posts();
			?>
              <?php if ( get_the_author_meta( 'description' ) ) : ?>
              <?php get_template_part( 'author-bio' ); ?>
              <?php endif; ?>
              <?php /* The loop */ ?>
              <?php while ( have_posts() ) : the_post(); ?>
              <?php get_template_part( 'content', get_post_format() ); ?>
              <?php endwhile; ?>
              <?php if(function_exists('wp_pagenavi')){
				wp_pagenavi();}?>
              <?php else : ?>
              <?php get_template_part( 'content', 'none' ); ?>
              <?php endif; ?>
            </div>
            <!-- #content -->
          </div>
          <!-- #primary -->
        </div>
        <div class="columns large-4 large-offset-1 sidebar">
          <?php get_sidebar();?>
        </div>
      </div>
    </div>
  </div>
</div>
<?php get_footer(); ?>