<?php
/**
 * The template for displaying Comments.
 */

if ( post_password_required() )
	return;
?>
<div id="comments" class="comments-area">
  <?php if ( have_comments() ) : ?>
  <h2 class="comments-title">
    <?php
				printf( _nx( 'Comments on &ldquo;%2$s&rdquo;', 'Comments on &ldquo;%2$s&rdquo;', get_comments_number(), 'comments title', 'threestar' ),
					number_format_i18n( get_comments_number() ), '<span>' . get_the_title() . '</span>' );
			?>
  </h2>
  <ol class="comment-list">
    <?php wp_list_comments('type=comment&callback=threestar_comment');?>
  </ol>
  <!-- .comment-list -->
  <?php
			// Are there comments to navigate through?
			if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
		?>
  <nav class="navigation comment-navigation" role="navigation">
    <h1 class="screen-reader-text section-heading">
      <?php _e( 'Comment navigation', 'threestar' ); ?>
    </h1>
    <div class="nav-previous">
      <?php previous_comments_link( __( '&larr; Older Comments', 'threestar' ) ); ?>
    </div>
    <div class="nav-next">
      <?php next_comments_link( __( 'Newer Comments &rarr;', 'threestar' ) ); ?>
    </div>
  </nav>
  <!-- .comment-navigation -->
  <?php endif; // Check for comment navigation ?>
  <?php if ( ! comments_open() && get_comments_number() ) : ?>
  <p class="no-comments">
    <?php _e( 'Comments are closed.' , 'threestar' ); ?>
  </p>
  <?php endif; ?>
  <?php endif; // have_comments() ?>
  <?php comment_form(); ?>
</div>
<!-- #comments -->