(function() {
tinymce.create('tinymce.plugins.ThreeStarGallery', {
	init : function(ed, url) {
		ed.addButton('threestargallery', {
			title : '3star Gallery',
			image : '../wp-content/themes/3star/images/video-icon.png',
			onclick : function() {
				// triggers the thickbox
				var width = jQuery(window).width(), H = jQuery(window).height(), W = ( 720 < width ) ? 720 : width;
				W = W - 80;
				H = H - 84;
				tb_show( '3star Gallery', '#TB_inline?width=' + W + '&height=' + H + '&inlineId=threestargallery-form' );
			}
		});
	},
	createControl : function(n, cm) {
		return null;
	},
	getInfo : function() {
		return {
			longname : "3star Gallery Shortcode",
			author : 'theme-demo.net',
			version : "1.0"
		};
	}
});
	tinymce.PluginManager.add('threestargallery', tinymce.plugins.ThreeStarGallery);
	// executes this when the DOM is ready
	jQuery(function(){
		// creates a form to be displayed everytime the button is clicked
		// you should achieve this using AJAX instead of direct html code like this
		var form = jQuery('<div id="threestargallery-form"><table id="threestargallery-table" class="form-table">\
			<tr>\
				<td><input type="button" class="button" id="add-video" value="add video" /><br /><p>Click here to add video to gallery.</p></td>\
				<td><input type="button" class="button" id="add-image" value="add image" /><br /><p>Click here to add image to gallery.</p></td>\
			</tr>\
			<tr>\
				<td id="videoForm" style="display:none;" colspan="2"><div id="result"></div><p class="submit">\<input type="button" id="threestargallery-video-submit" class="button-primary" value="Insert Gallery" name="submit" />\</p>\</td>\
			</tr>\
			<tr>\
				<td id="imageForm" style="display:none;" colspan="2"><div id="result2"></div><p class="submit">\<input type="button" id="threestargallery-image-submit" class="button-primary" value="Insert Gallery" name="submit" />\</p>\</td>\
			</tr>\
		</table>\
		</div>');
		
		var selectedGallery;
		var table = form.find('table');
		form.appendTo('body').hide();
		
		// handles the click event of the video form submit button
		form.find('#threestargallery-video-submit').click(function(){
			// defines the options and their default values
			// again, this is not the most elegant way to do this
			// but well, this gets the job done nonetheless
			var options = { 
				'image': '',
				'videolink': ''
				};
			
			if(document.getElementById('threestargallery-image').value!='' && document.getElementById('threestargallery-videolink').value!='')
			{																						  
				var shortcode = '[3star_gallery][3star_video';
	
				for( var index in options) {
					var value = table.find('#threestargallery-' + index).val();
					if ( value !== options[index] )
						shortcode += ' ' + index + '="' + value + '"';
				}
				
				shortcode += '][/3star_gallery]';
				
				// inserts the shortcode into the active editor
				var res;
				res=tinyMCE.activeEditor.execCommand('mceInsertContent', 0, shortcode);
				if(res){ alert('Shrotcode added. Click on the close button to close the window.');}
				jQuery("#threestargallery-image").val('');
				jQuery("#threestargallery-videolink").val('');
				jQuery("#videoForm").hide();
				jQuery("#add-video").prop('disabled', false);
			}
			else
			{
				return false;	
			}
			// closes Thickbox
			//tb_remove();
		});
		
		// handles the click event of the video form image button
		form.find('#threestargallery-image-submit').click(function(){
			// defines the options and their default values
			// again, this is not the most elegant way to do this
			// but well, this gets the job done nonetheless
			var options = { 
				'title': '',
				'desc': '',
				'imagelink': ''
				};
				
			if(document.getElementById('threestargallery-title').value!='' && document.getElementById('threestargallery-imagelink').value!='')
			{
				var shortcode = '[3star_gallery][img';
	
				for( var index in options) {
					var value = table.find('#threestargallery-' + index).val();
	
					if ( value !== options[index] )
						shortcode += ' ' + index + '="' + value + '"';
				}
				
				shortcode += '][/3star_gallery]';
				
				// inserts the shortcode into the active editor
				var res;
				res=tinyMCE.activeEditor.execCommand('mceInsertContent', 0, shortcode);
				if(res){ alert('Shrotcode added. Click on the close button to close the window.');}
				jQuery("#threestargallery-title").val('');
				jQuery("#threestargallery-desc").val('');
				jQuery("#threestargallery-imagelink").val('');
				jQuery("#imageForm").hide();
				jQuery("#add-image").prop('disabled', false);
			}
			else
			{
				return false;	
			}
			// closes Thickbox
			//tb_remove();
		});
	});
})();		
jQuery(document).ready(function(){
	jQuery("#add-video").click(function(){
			jQuery("#result").empty();
			jQuery("#videoForm").show();
			jQuery("#imageForm").hide();
			jQuery("#add-video").prop('disabled', true);
			jQuery("#add-image").prop('disabled', false);
			jQuery("#result").html('<table><tr><td>Image</td><td><input type ="text" name="image" id="threestargallery-image" style="width:260px;" /></td></tr><tr><td>Link</td><td><input type ="text" name="videolink" id="threestargallery-videolink" style="width:260px;" /></td></tr></table>');							 
	});		
	jQuery("#add-image").click(function(){
		jQuery("#result2").empty();
		jQuery("#imageForm").show();
		jQuery("#videoForm").hide();
		jQuery("#add-image").prop('disabled', true);
		jQuery("#add-video").prop('disabled', false);
		jQuery("#result2").html('<table><tr><td>Title</td><td><input type ="text" name="title" id="threestargallery-title" style="width:260px;" /></td></tr><tr><td>Description</td><td><textarea name="desc" id="threestargallery-desc" style="width:260px;"></textarea></td></tr><tr><td>Link</td><td><input type ="text" name="imagelink" id="threestargallery-imagelink" style="width:260px;" /></td></tr></table>');										 
	});	
	jQuery('#threestargallery-video-submit').click(function(){
		if(jQuery("#threestargallery-image").val().length<1)
		{
				jQuery("#threestargallery-image").css('background','rgb(255, 229, 242)');
		}
		if(jQuery("#threestargallery-videolink").val().length<1)
		{
				jQuery("#threestargallery-videolink").css('background','rgb(255, 229, 242)');
		}
	});
	jQuery('#threestargallery-image-submit').click(function(){
		if(jQuery("#threestargallery-title").val().length<1)
		{
				jQuery("#threestargallery-title").css('background','rgb(255, 229, 242)');
		}
		if(jQuery("#threestargallery-imagelink").val().length<1)
		{
				jQuery("#threestargallery-imagelink").css('background','rgb(255, 229, 242)');
		}
	});

	
	
});